Imports System
Imports System.IO
Imports System.Text
Imports System.Data
Imports System.Data.Sql
Imports System.Data.OleDb
Imports System.Drawing
Imports System.ComponentModel
Imports System.Collections.Generic
Imports System.Runtime.InteropServices
Imports System.Windows.Forms
Imports System.Windows.Forms.SystemInformation
Imports System.Resources
Imports Microsoft.VisualBasic


Public Class frmMain

    Private Sub frmMain_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles MyBase.Load

        fillDeviceClasses(True)
    End Sub

    'liefert immer einen gltigen DB Provider vorausgefllt
    Public Function getProviderString() As String

        Dim DBProviderString As String

        Dim sPath As String
        sPath = "C:\Temp\Test-DB.accdb"           'hier kann der Pfad festgelegt werden, dass wars

        DBProviderString = "Provider=Microsoft.ACE.OLEDB.12.0; Data Source=" & sPath & ";"
        Return DBProviderString
    End Function

    'Gerteklassen laden
    Private Sub fillDeviceClasses(ByRef bStatus As Boolean)

        Dim DMDB As New OleDbConnection(getProviderString)
        Dim DBSQLStr As String = "SELECT * FROM dbo_DeviceClasses WHERE Status =" & bStatus & ";"
        Dim DBDataAdapter As New OleDbDataAdapter(DBSQLStr, DMDB)
        Dim DBDataTable As New DataTable
        Dim DBDataset As New DataSet
        Dim imgDGVColumn As New DataGridViewImageColumn
        Dim imgDGVCell As New DataGridViewImageCell

        'DataGridView1 definieren
        With DataGridView1
            .AutoGenerateColumns = True
            .AllowUserToOrderColumns = False
            .RowHeadersVisible = False
            .AllowUserToAddRows = False
            .AllowUserToDeleteRows = False
            .ReadOnly = True
        End With


        Try

            DMDB.Open()
            DBDataAdapter.Fill(DBDataset, "dbo_DeviceClasses")
            DBDataAdapter.Dispose()
            DMDB.Close()

            DataGridView1.DataSource = DBDataset.Tables("dbo_DeviceClasses")

            'Spalten ausblenden
            Me.DataGridView1.Columns("deviceclass_ID").Visible = False
            Me.DataGridView1.Columns("Gertebild").Visible = False   'Original Spalte ausblenden
            Me.DataGridView1.Columns("Status").Visible = False
            Me.DataGridView1.Columns("Bemerkung").Visible = False

            With imgDGVColumn
                .ImageLayout = DataGridViewImageCellLayout.Zoom
                .HeaderCell.Value = "Gertebild"
                .DataPropertyName = "dbo_DeviceClasses"
                .HeaderText = "Gertebild"
                .Name = "Gertebild"
            End With

            DataGridView1.Columns.Add(imgDGVColumn)

        Catch ex As OleDbException
            MessageBox.Show("Whrend der Verarbeitung, trat der folgenden Fehler auf : " & ex.Message, "Test DevMan", MessageBoxButtons.OK, MessageBoxIcon.Stop)
        End Try
    End Sub


End Class
